Package org.eclipse.birt.chart.model.layout

# Interface LayoutPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `LayoutPackageImpl`

public interface LayoutPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Schema file for the chart.model package.

See Also:
  - `LayoutFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`LayoutPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BLOCK`
The meta object id for the '`Block`' class.
`static final int`
`BLOCK__ANCHOR`
The feature id for the 'Anchor' attribute.
`static final int`
`BLOCK__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`BLOCK__BOUNDS`
The feature id for the 'Bounds' containment reference.
`static final int`
`BLOCK__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`BLOCK__COLUMN`
The feature id for the 'Column' attribute.
`static final int`
`BLOCK__COLUMNSPAN`
The feature id for the 'Columnspan' attribute.
`static final int`
`BLOCK__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`BLOCK__HEIGHT_HINT`
The feature id for the 'Height Hint' attribute.
`static final int`
`BLOCK__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`BLOCK__MIN_SIZE`
The feature id for the 'Min Size' containment reference.
`static final int`
`BLOCK__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`BLOCK__ROW`
The feature id for the 'Row' attribute.
`static final int`
`BLOCK__ROWSPAN`
The feature id for the 'Rowspan' attribute.
`static final int`
`BLOCK__STRETCH`
The feature id for the 'Stretch' attribute.
`static final int`
`BLOCK__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`BLOCK__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`BLOCK__WIDTH_HINT`
The feature id for the 'Width Hint' attribute.
`static final int`
`BLOCK_FEATURE_COUNT`
The number of structural features of the 'Block' class.
`static final int`
`CLIENT_AREA`
The meta object id for the '`Client Area`' class.
`static final int`
`CLIENT_AREA__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`CLIENT_AREA__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`CLIENT_AREA__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`CLIENT_AREA__SHADOW_COLOR`
The feature id for the 'Shadow Color' containment reference.
`static final int`
`CLIENT_AREA__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`CLIENT_AREA_FEATURE_COUNT`
The number of structural features of the 'Client Area' class.
`static final LayoutPackage`
`eINSTANCE`
The singleton instance of the package.
`static final int`
`ELLIPSIS_TYPE`
The meta object id for the 'Ellipsis Type' data type.
`static final int`
`ELLIPSIS_TYPE_OBJECT`
The meta object id for the 'Ellipsis Type Object' data type.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`LABEL_BLOCK`
The meta object id for the '`Label Block`' class.
`static final int`
`LABEL_BLOCK__ANCHOR`
The feature id for the 'Anchor' attribute.
`static final int`
`LABEL_BLOCK__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`LABEL_BLOCK__BOUNDS`
The feature id for the 'Bounds' containment reference.
`static final int`
`LABEL_BLOCK__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`LABEL_BLOCK__COLUMN`
The feature id for the 'Column' attribute.
`static final int`
`LABEL_BLOCK__COLUMNSPAN`
The feature id for the 'Columnspan' attribute.
`static final int`
`LABEL_BLOCK__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`LABEL_BLOCK__HEIGHT_HINT`
The feature id for the 'Height Hint' attribute.
`static final int`
`LABEL_BLOCK__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`LABEL_BLOCK__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`LABEL_BLOCK__MIN_SIZE`
The feature id for the 'Min Size' containment reference.
`static final int`
`LABEL_BLOCK__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`LABEL_BLOCK__ROW`
The feature id for the 'Row' attribute.
`static final int`
`LABEL_BLOCK__ROWSPAN`
The feature id for the 'Rowspan' attribute.
`static final int`
`LABEL_BLOCK__STRETCH`
The feature id for the 'Stretch' attribute.
`static final int`
`LABEL_BLOCK__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`LABEL_BLOCK__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`LABEL_BLOCK__WIDTH_HINT`
The feature id for the 'Width Hint' attribute.
`static final int`
`LABEL_BLOCK_FEATURE_COUNT`
The number of structural features of the 'Label Block' class.
`static final int`
`LEGEND`
The meta object id for the '`Legend`' class.
`static final int`
`LEGEND__ANCHOR`
The feature id for the 'Anchor' attribute.
`static final int`
`LEGEND__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`LEGEND__BOUNDS`
The feature id for the 'Bounds' containment reference.
`static final int`
`LEGEND__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`LEGEND__CLIENT_AREA`
The feature id for the 'Client Area' containment reference.
`static final int`
`LEGEND__COLUMN`
The feature id for the 'Column' attribute.
`static final int`
`LEGEND__COLUMNSPAN`
The feature id for the 'Columnspan' attribute.
`static final int`
`LEGEND__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`LEGEND__DIRECTION`
The feature id for the 'Direction' attribute.
`static final int`
`LEGEND__ELLIPSIS`
The feature id for the 'Ellipsis' attribute.
`static final int`
`LEGEND__FORMAT_SPECIFIER`
The feature id for the 'Format Specifier' containment reference.
`static final int`
`LEGEND__HEIGHT_HINT`
The feature id for the 'Height Hint' attribute.
`static final int`
`LEGEND__HORIZONTAL_SPACING`
The feature id for the 'Horizontal Spacing' attribute.
`static final int`
`LEGEND__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`LEGEND__ITEM_TYPE`
The feature id for the 'Item Type' attribute.
`static final int`
`LEGEND__MAX_PERCENT`
The feature id for the 'Max Percent' attribute.
`static final int`
`LEGEND__MIN_SIZE`
The feature id for the 'Min Size' containment reference.
`static final int`
`LEGEND__ORIENTATION`
The feature id for the 'Orientation' attribute.
`static final int`
`LEGEND__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`LEGEND__POSITION`
The feature id for the 'Position' attribute.
`static final int`
`LEGEND__ROW`
The feature id for the 'Row' attribute.
`static final int`
`LEGEND__ROWSPAN`
The feature id for the 'Rowspan' attribute.
`static final int`
`LEGEND__SEPARATOR`
The feature id for the 'Separator' containment reference.
`static final int`
`LEGEND__SHOW_PERCENT`
The feature id for the 'Show Percent' attribute.
`static final int`
`LEGEND__SHOW_TOTAL`
The feature id for the 'Show Total' attribute.
`static final int`
`LEGEND__SHOW_VALUE`
The feature id for the 'Show Value' attribute.
`static final int`
`LEGEND__STRETCH`
The feature id for the 'Stretch' attribute.
`static final int`
`LEGEND__TEXT`
The feature id for the 'Text' containment reference.
`static final int`
`LEGEND__TITLE`
The feature id for the 'Title' containment reference.
`static final int`
`LEGEND__TITLE_PERCENT`
The feature id for the 'Title Percent' attribute.
`static final int`
`LEGEND__TITLE_POSITION`
The feature id for the 'Title Position' attribute.
`static final int`
`LEGEND__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`LEGEND__VERTICAL_SPACING`
The feature id for the 'Vertical Spacing' attribute.
`static final int`
`LEGEND__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`LEGEND__WIDTH_HINT`
The feature id for the 'Width Hint' attribute.
`static final int`
`LEGEND__WRAPPING_SIZE`
The feature id for the 'Wrapping Size' attribute.
`static final int`
`LEGEND_FEATURE_COUNT`
The number of structural features of the 'Legend' class.
`static final int`
`PLOT`
The meta object id for the '`Plot`' class.
`static final int`
`PLOT__ANCHOR`
The feature id for the 'Anchor' attribute.
`static final int`
`PLOT__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`PLOT__BOUNDS`
The feature id for the 'Bounds' containment reference.
`static final int`
`PLOT__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`PLOT__CLIENT_AREA`
The feature id for the 'Client Area' containment reference.
`static final int`
`PLOT__COLUMN`
The feature id for the 'Column' attribute.
`static final int`
`PLOT__COLUMNSPAN`
The feature id for the 'Columnspan' attribute.
`static final int`
`PLOT__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`PLOT__HEIGHT_HINT`
The feature id for the 'Height Hint' attribute.
`static final int`
`PLOT__HORIZONTAL_SPACING`
The feature id for the 'Horizontal Spacing' attribute.
`static final int`
`PLOT__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`PLOT__MIN_SIZE`
The feature id for the 'Min Size' containment reference.
`static final int`
`PLOT__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`PLOT__ROW`
The feature id for the 'Row' attribute.
`static final int`
`PLOT__ROWSPAN`
The feature id for the 'Rowspan' attribute.
`static final int`
`PLOT__STRETCH`
The feature id for the 'Stretch' attribute.
`static final int`
`PLOT__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`PLOT__VERTICAL_SPACING`
The feature id for the 'Vertical Spacing' attribute.
`static final int`
`PLOT__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`PLOT__WIDTH_HINT`
The feature id for the 'Width Hint' attribute.
`static final int`
`PLOT_FEATURE_COUNT`
The number of structural features of the 'Plot' class.
`static final int`
`TITLE_BLOCK`
The meta object id for the '`Title Block`' class.
`static final int`
`TITLE_BLOCK__ANCHOR`
The feature id for the 'Anchor' attribute.
`static final int`
`TITLE_BLOCK__AUTO`
The feature id for the 'Auto' attribute.
`static final int`
`TITLE_BLOCK__BACKGROUND`
The feature id for the 'Background' containment reference.
`static final int`
`TITLE_BLOCK__BOUNDS`
The feature id for the 'Bounds' containment reference.
`static final int`
`TITLE_BLOCK__CHILDREN`
The feature id for the 'Children' containment reference list.
`static final int`
`TITLE_BLOCK__COLUMN`
The feature id for the 'Column' attribute.
`static final int`
`TITLE_BLOCK__COLUMNSPAN`
The feature id for the 'Columnspan' attribute.
`static final int`
`TITLE_BLOCK__CURSOR`
The feature id for the 'Cursor' containment reference.
`static final int`
`TITLE_BLOCK__HEIGHT_HINT`
The feature id for the 'Height Hint' attribute.
`static final int`
`TITLE_BLOCK__INSETS`
The feature id for the 'Insets' containment reference.
`static final int`
`TITLE_BLOCK__LABEL`
The feature id for the 'Label' containment reference.
`static final int`
`TITLE_BLOCK__MIN_SIZE`
The feature id for the 'Min Size' containment reference.
`static final int`
`TITLE_BLOCK__OUTLINE`
The feature id for the 'Outline' containment reference.
`static final int`
`TITLE_BLOCK__ROW`
The feature id for the 'Row' attribute.
`static final int`
`TITLE_BLOCK__ROWSPAN`
The feature id for the 'Rowspan' attribute.
`static final int`
`TITLE_BLOCK__STRETCH`
The feature id for the 'Stretch' attribute.
`static final int`
`TITLE_BLOCK__TRIGGERS`
The feature id for the 'Triggers' containment reference list.
`static final int`
`TITLE_BLOCK__VISIBLE`
The feature id for the 'Visible' attribute.
`static final int`
`TITLE_BLOCK__WIDTH_HINT`
The feature id for the 'Width Hint' attribute.
`static final int`
`TITLE_BLOCK_FEATURE_COUNT`
The number of structural features of the 'Title Block' class.
`static final int`
`TITLE_PERCENT_TYPE`
The meta object id for the 'Title Percent Type' data type.
`static final int`
`TITLE_PERCENT_TYPE_OBJECT`
The meta object id for the 'Title Percent Type Object' data type.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getBlock()`
Returns the meta object for class ' `Block`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Anchor()`
Returns the meta object for the attribute '`Anchor`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Background()`
Returns the meta object for the containment reference '`Background`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Bounds()`
Returns the meta object for the containment reference '`Bounds`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Children()`
Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Column()`
Returns the meta object for the attribute '`Column`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Columnspan()`
Returns the meta object for the attribute '`Columnspan`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Cursor()`
Returns the meta object for the containment reference '`Cursor`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_HeightHint()`
Returns the meta object for the attribute '`Height Hint`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Insets()`
Returns the meta object for the containment reference '`Insets`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_MinSize()`
Returns the meta object for the containment reference '`Min Size`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Outline()`
Returns the meta object for the containment reference '`Outline`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Row()`
Returns the meta object for the attribute '`Row`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Rowspan()`
Returns the meta object for the attribute '`Rowspan`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Stretch()`
Returns the meta object for the attribute '`Stretch`'.
`org.eclipse.emf.ecore.EReference`
`getBlock_Triggers()`
Returns the meta object for the containment reference list '`Triggers`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Visible()`
Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EAttribute`
`getBlock_WidthHint()`
Returns the meta object for the attribute '`Width Hint`'.
`org.eclipse.emf.ecore.EClass`
`getClientArea()`
Returns the meta object for class '`Client Area`'.
`org.eclipse.emf.ecore.EReference`
`getClientArea_Background()`
Returns the meta object for the containment reference '`Background`'.
`org.eclipse.emf.ecore.EReference`
`getClientArea_Insets()`
Returns the meta object for the containment reference '`Insets`'.
`org.eclipse.emf.ecore.EReference`
`getClientArea_Outline()`
Returns the meta object for the containment reference '`Outline`'.
`org.eclipse.emf.ecore.EReference`
`getClientArea_ShadowColor()`
Returns the meta object for the containment reference '`Shadow Color`'.
`org.eclipse.emf.ecore.EAttribute`
`getClientArea_Visible()`
Returns the meta object for the attribute '`Visible`'.
`org.eclipse.emf.ecore.EDataType`
`getEllipsisType()`
Returns the meta object for data type 'Ellipsis Type'.
`org.eclipse.emf.ecore.EDataType`
`getEllipsisTypeObject()`
Returns the meta object for data type '`Ellipsis Type Object`'.
`org.eclipse.emf.ecore.EClass`
`getLabelBlock()`
Returns the meta object for class '`Label Block`'.
`org.eclipse.emf.ecore.EReference`
`getLabelBlock_Label()`
Returns the meta object for the containment reference '`Label`'.
`LayoutFactory`
`getLayoutFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getLegend()`
Returns the meta object for class '`Legend`'.
`org.eclipse.emf.ecore.EReference`
`getLegend_ClientArea()`
Returns the meta object for the containment reference '`Client Area`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Direction()`
Returns the meta object for the attribute '`Direction`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Ellipsis()`
Returns the meta object for the attribute '`Ellipsis`'.
`org.eclipse.emf.ecore.EReference`
`getLegend_FormatSpecifier()`
Returns the meta object for the containment reference '`Format Specifier`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_HorizontalSpacing()`
Returns the meta object for the attribute '`Horizontal Spacing`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ItemType()`
Returns the meta object for the attribute '`Item Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_MaxPercent()`
Returns the meta object for the attribute '`Max Percent`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Orientation()`
Returns the meta object for the attribute '`Orientation`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Position()`
Returns the meta object for the attribute '`Position`'.
`org.eclipse.emf.ecore.EReference`
`getLegend_Separator()`
Returns the meta object for the containment reference '`Separator`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ShowPercent()`
Returns the meta object for the attribute '`Show Percent`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ShowTotal()`
Returns the meta object for the attribute '`Show Total`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ShowValue()`
Returns the meta object for the attribute '`Show Value`'.
`org.eclipse.emf.ecore.EReference`
`getLegend_Text()`
Returns the meta object for the containment reference '`Text`'.
`org.eclipse.emf.ecore.EReference`
`getLegend_Title()`
Returns the meta object for the containment reference '`Title`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_TitlePercent()`
Returns the meta object for the attribute '`Title Percent`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_TitlePosition()`
Returns the meta object for the attribute '`Title Position`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_VerticalSpacing()`
Returns the meta object for the attribute '`Vertical Spacing`'.
`org.eclipse.emf.ecore.EAttribute`
`getLegend_WrappingSize()`
Returns the meta object for the attribute '`Wrapping Size`'.
`org.eclipse.emf.ecore.EClass`
`getPlot()`
Returns the meta object for class ' `Plot`'.
`org.eclipse.emf.ecore.EReference`
`getPlot_ClientArea()`
Returns the meta object for the containment reference '`Client Area`'.
`org.eclipse.emf.ecore.EAttribute`
`getPlot_HorizontalSpacing()`
Returns the meta object for the attribute '`Horizontal Spacing`'.
`org.eclipse.emf.ecore.EAttribute`
`getPlot_VerticalSpacing()`
Returns the meta object for the attribute '`Vertical Spacing`'.
`org.eclipse.emf.ecore.EClass`
`getTitleBlock()`
Returns the meta object for class '`Title Block`'.
`org.eclipse.emf.ecore.EAttribute`
`getTitleBlock_Auto()`
Returns the meta object for the attribute '`Auto`'.
`org.eclipse.emf.ecore.EDataType`
`getTitlePercentType()`
Returns the meta object for data type 'Title Percent Type'.
`org.eclipse.emf.ecore.EDataType`
`getTitlePercentTypeObject()`
Returns the meta object for data type '`Title Percent Type Object`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final LayoutPackage eINSTANCE
The singleton instance of the package.

### BLOCK

static final int BLOCK
The meta object id for the '`Block`' class.

See Also:
  - `BlockImpl`
  - `LayoutPackageImpl.getBlock()`
  - Constant Field Values

### BLOCK__CHILDREN

static final int BLOCK__CHILDREN
The feature id for the 'Children' containment reference list.

See Also:
  - Constant Field Values

### BLOCK__BOUNDS

static final int BLOCK__BOUNDS
The feature id for the 'Bounds' containment reference.

See Also:
  - Constant Field Values

### BLOCK__ANCHOR

static final int BLOCK__ANCHOR
The feature id for the 'Anchor' attribute.

See Also:
  - Constant Field Values

### BLOCK__STRETCH

static final int BLOCK__STRETCH
The feature id for the 'Stretch' attribute.

See Also:
  - Constant Field Values

### BLOCK__INSETS

static final int BLOCK__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### BLOCK__ROW

static final int BLOCK__ROW
The feature id for the 'Row' attribute.

See Also:
  - Constant Field Values

### BLOCK__COLUMN

static final int BLOCK__COLUMN
The feature id for the 'Column' attribute.

See Also:
  - Constant Field Values

### BLOCK__ROWSPAN

static final int BLOCK__ROWSPAN
The feature id for the 'Rowspan' attribute.

See Also:
  - Constant Field Values

### BLOCK__COLUMNSPAN

static final int BLOCK__COLUMNSPAN
The feature id for the 'Columnspan' attribute.

See Also:
  - Constant Field Values

### BLOCK__MIN_SIZE

static final int BLOCK__MIN_SIZE
The feature id for the 'Min Size' containment reference.

See Also:
  - Constant Field Values

### BLOCK__OUTLINE

static final int BLOCK__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### BLOCK__BACKGROUND

static final int BLOCK__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### BLOCK__VISIBLE

static final int BLOCK__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### BLOCK__TRIGGERS

static final int BLOCK__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### BLOCK__WIDTH_HINT

static final int BLOCK__WIDTH_HINT
The feature id for the 'Width Hint' attribute.

See Also:
  - Constant Field Values

### BLOCK__HEIGHT_HINT

static final int BLOCK__HEIGHT_HINT
The feature id for the 'Height Hint' attribute.

See Also:
  - Constant Field Values

### BLOCK__CURSOR

static final int BLOCK__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### BLOCK_FEATURE_COUNT

static final int BLOCK_FEATURE_COUNT
The number of structural features of the 'Block' class.

See Also:
  - Constant Field Values

### CLIENT_AREA

static final int CLIENT_AREA
The meta object id for the '`Client Area`' class.

See Also:
  - `ClientAreaImpl`
  - `LayoutPackageImpl.getClientArea()`
  - Constant Field Values

### CLIENT_AREA__BACKGROUND

static final int CLIENT_AREA__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### CLIENT_AREA__OUTLINE

static final int CLIENT_AREA__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### CLIENT_AREA__SHADOW_COLOR

static final int CLIENT_AREA__SHADOW_COLOR
The feature id for the 'Shadow Color' containment reference.

See Also:
  - Constant Field Values

### CLIENT_AREA__INSETS

static final int CLIENT_AREA__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### CLIENT_AREA__VISIBLE

static final int CLIENT_AREA__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### CLIENT_AREA_FEATURE_COUNT

static final int CLIENT_AREA_FEATURE_COUNT
The number of structural features of the 'Client Area' class.

See Also:
  - Constant Field Values

### LABEL_BLOCK

static final int LABEL_BLOCK
The meta object id for the '`Label Block`' class.

See Also:
  - `LabelBlockImpl`
  - `LayoutPackageImpl.getLabelBlock()`
  - Constant Field Values

### LABEL_BLOCK__CHILDREN

static final int LABEL_BLOCK__CHILDREN
The feature id for the 'Children' containment reference list.

See Also:
  - Constant Field Values

### LABEL_BLOCK__BOUNDS

static final int LABEL_BLOCK__BOUNDS
The feature id for the 'Bounds' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK__ANCHOR

static final int LABEL_BLOCK__ANCHOR
The feature id for the 'Anchor' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__STRETCH

static final int LABEL_BLOCK__STRETCH
The feature id for the 'Stretch' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__INSETS

static final int LABEL_BLOCK__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK__ROW

static final int LABEL_BLOCK__ROW
The feature id for the 'Row' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__COLUMN

static final int LABEL_BLOCK__COLUMN
The feature id for the 'Column' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__ROWSPAN

static final int LABEL_BLOCK__ROWSPAN
The feature id for the 'Rowspan' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__COLUMNSPAN

static final int LABEL_BLOCK__COLUMNSPAN
The feature id for the 'Columnspan' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__MIN_SIZE

static final int LABEL_BLOCK__MIN_SIZE
The feature id for the 'Min Size' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK__OUTLINE

static final int LABEL_BLOCK__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK__BACKGROUND

static final int LABEL_BLOCK__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK__VISIBLE

static final int LABEL_BLOCK__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__TRIGGERS

static final int LABEL_BLOCK__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### LABEL_BLOCK__WIDTH_HINT

static final int LABEL_BLOCK__WIDTH_HINT
The feature id for the 'Width Hint' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__HEIGHT_HINT

static final int LABEL_BLOCK__HEIGHT_HINT
The feature id for the 'Height Hint' attribute.

See Also:
  - Constant Field Values

### LABEL_BLOCK__CURSOR

static final int LABEL_BLOCK__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK__LABEL

static final int LABEL_BLOCK__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### LABEL_BLOCK_FEATURE_COUNT

static final int LABEL_BLOCK_FEATURE_COUNT
The number of structural features of the 'Label Block' class.

See Also:
  - Constant Field Values

### LEGEND

static final int LEGEND
The meta object id for the '`Legend`' class.

See Also:
  - `LegendImpl`
  - `LayoutPackageImpl.getLegend()`
  - Constant Field Values

### LEGEND__CHILDREN

static final int LEGEND__CHILDREN
The feature id for the 'Children' containment reference list.

See Also:
  - Constant Field Values

### LEGEND__BOUNDS

static final int LEGEND__BOUNDS
The feature id for the 'Bounds' containment reference.

See Also:
  - Constant Field Values

### LEGEND__ANCHOR

static final int LEGEND__ANCHOR
The feature id for the 'Anchor' attribute.

See Also:
  - Constant Field Values

### LEGEND__STRETCH

static final int LEGEND__STRETCH
The feature id for the 'Stretch' attribute.

See Also:
  - Constant Field Values

### LEGEND__INSETS

static final int LEGEND__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### LEGEND__ROW

static final int LEGEND__ROW
The feature id for the 'Row' attribute.

See Also:
  - Constant Field Values

### LEGEND__COLUMN

static final int LEGEND__COLUMN
The feature id for the 'Column' attribute.

See Also:
  - Constant Field Values

### LEGEND__ROWSPAN

static final int LEGEND__ROWSPAN
The feature id for the 'Rowspan' attribute.

See Also:
  - Constant Field Values

### LEGEND__COLUMNSPAN

static final int LEGEND__COLUMNSPAN
The feature id for the 'Columnspan' attribute.

See Also:
  - Constant Field Values

### LEGEND__MIN_SIZE

static final int LEGEND__MIN_SIZE
The feature id for the 'Min Size' containment reference.

See Also:
  - Constant Field Values

### LEGEND__OUTLINE

static final int LEGEND__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### LEGEND__BACKGROUND

static final int LEGEND__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### LEGEND__VISIBLE

static final int LEGEND__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### LEGEND__TRIGGERS

static final int LEGEND__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### LEGEND__WIDTH_HINT

static final int LEGEND__WIDTH_HINT
The feature id for the 'Width Hint' attribute.

See Also:
  - Constant Field Values

### LEGEND__HEIGHT_HINT

static final int LEGEND__HEIGHT_HINT
The feature id for the 'Height Hint' attribute.

See Also:
  - Constant Field Values

### LEGEND__CURSOR

static final int LEGEND__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### LEGEND__HORIZONTAL_SPACING

static final int LEGEND__HORIZONTAL_SPACING
The feature id for the 'Horizontal Spacing' attribute.

See Also:
  - Constant Field Values

### LEGEND__VERTICAL_SPACING

static final int LEGEND__VERTICAL_SPACING
The feature id for the 'Vertical Spacing' attribute.

See Also:
  - Constant Field Values

### LEGEND__CLIENT_AREA

static final int LEGEND__CLIENT_AREA
The feature id for the 'Client Area' containment reference.

See Also:
  - Constant Field Values

### LEGEND__TEXT

static final int LEGEND__TEXT
The feature id for the 'Text' containment reference.

See Also:
  - Constant Field Values

### LEGEND__ORIENTATION

static final int LEGEND__ORIENTATION
The feature id for the 'Orientation' attribute.

See Also:
  - Constant Field Values

### LEGEND__DIRECTION

static final int LEGEND__DIRECTION
The feature id for the 'Direction' attribute.

See Also:
  - Constant Field Values

### LEGEND__SEPARATOR

static final int LEGEND__SEPARATOR
The feature id for the 'Separator' containment reference.

See Also:
  - Constant Field Values

### LEGEND__POSITION

static final int LEGEND__POSITION
The feature id for the 'Position' attribute.

See Also:
  - Constant Field Values

### LEGEND__ITEM_TYPE

static final int LEGEND__ITEM_TYPE
The feature id for the 'Item Type' attribute.

See Also:
  - Constant Field Values

### LEGEND__TITLE

static final int LEGEND__TITLE
The feature id for the 'Title' containment reference.

See Also:
  - Constant Field Values

### LEGEND__TITLE_POSITION

static final int LEGEND__TITLE_POSITION
The feature id for the 'Title Position' attribute.

See Also:
  - Constant Field Values

### LEGEND__SHOW_VALUE

static final int LEGEND__SHOW_VALUE
The feature id for the 'Show Value' attribute.

See Also:
  - Constant Field Values

### LEGEND__SHOW_PERCENT

static final int LEGEND__SHOW_PERCENT
The feature id for the 'Show Percent' attribute.

See Also:
  - Constant Field Values

### LEGEND__SHOW_TOTAL

static final int LEGEND__SHOW_TOTAL
The feature id for the 'Show Total' attribute.

See Also:
  - Constant Field Values

### LEGEND__WRAPPING_SIZE

static final int LEGEND__WRAPPING_SIZE
The feature id for the 'Wrapping Size' attribute.

See Also:
  - Constant Field Values

### LEGEND__MAX_PERCENT

static final int LEGEND__MAX_PERCENT
The feature id for the 'Max Percent' attribute.

See Also:
  - Constant Field Values

### LEGEND__TITLE_PERCENT

static final int LEGEND__TITLE_PERCENT
The feature id for the 'Title Percent' attribute.

See Also:
  - Constant Field Values

### LEGEND__ELLIPSIS

static final int LEGEND__ELLIPSIS
The feature id for the 'Ellipsis' attribute.

See Also:
  - Constant Field Values

### LEGEND__FORMAT_SPECIFIER

static final int LEGEND__FORMAT_SPECIFIER
The feature id for the 'Format Specifier' containment reference.

See Also:
  - Constant Field Values

### LEGEND_FEATURE_COUNT

static final int LEGEND_FEATURE_COUNT
The number of structural features of the 'Legend' class.

See Also:
  - Constant Field Values

### PLOT

static final int PLOT
The meta object id for the '`Plot`' class.

See Also:
  - `PlotImpl`
  - `LayoutPackageImpl.getPlot()`
  - Constant Field Values

### PLOT__CHILDREN

static final int PLOT__CHILDREN
The feature id for the 'Children' containment reference list.

See Also:
  - Constant Field Values

### PLOT__BOUNDS

static final int PLOT__BOUNDS
The feature id for the 'Bounds' containment reference.

See Also:
  - Constant Field Values

### PLOT__ANCHOR

static final int PLOT__ANCHOR
The feature id for the 'Anchor' attribute.

See Also:
  - Constant Field Values

### PLOT__STRETCH

static final int PLOT__STRETCH
The feature id for the 'Stretch' attribute.

See Also:
  - Constant Field Values

### PLOT__INSETS

static final int PLOT__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### PLOT__ROW

static final int PLOT__ROW
The feature id for the 'Row' attribute.

See Also:
  - Constant Field Values

### PLOT__COLUMN

static final int PLOT__COLUMN
The feature id for the 'Column' attribute.

See Also:
  - Constant Field Values

### PLOT__ROWSPAN

static final int PLOT__ROWSPAN
The feature id for the 'Rowspan' attribute.

See Also:
  - Constant Field Values

### PLOT__COLUMNSPAN

static final int PLOT__COLUMNSPAN
The feature id for the 'Columnspan' attribute.

See Also:
  - Constant Field Values

### PLOT__MIN_SIZE

static final int PLOT__MIN_SIZE
The feature id for the 'Min Size' containment reference.

See Also:
  - Constant Field Values

### PLOT__OUTLINE

static final int PLOT__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### PLOT__BACKGROUND

static final int PLOT__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### PLOT__VISIBLE

static final int PLOT__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### PLOT__TRIGGERS

static final int PLOT__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### PLOT__WIDTH_HINT

static final int PLOT__WIDTH_HINT
The feature id for the 'Width Hint' attribute.

See Also:
  - Constant Field Values

### PLOT__HEIGHT_HINT

static final int PLOT__HEIGHT_HINT
The feature id for the 'Height Hint' attribute.

See Also:
  - Constant Field Values

### PLOT__CURSOR

static final int PLOT__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### PLOT__HORIZONTAL_SPACING

static final int PLOT__HORIZONTAL_SPACING
The feature id for the 'Horizontal Spacing' attribute.

See Also:
  - Constant Field Values

### PLOT__VERTICAL_SPACING

static final int PLOT__VERTICAL_SPACING
The feature id for the 'Vertical Spacing' attribute.

See Also:
  - Constant Field Values

### PLOT__CLIENT_AREA

static final int PLOT__CLIENT_AREA
The feature id for the 'Client Area' containment reference.

See Also:
  - Constant Field Values

### PLOT_FEATURE_COUNT

static final int PLOT_FEATURE_COUNT
The number of structural features of the 'Plot' class.

See Also:
  - Constant Field Values

### TITLE_BLOCK

static final int TITLE_BLOCK
The meta object id for the '`Title Block`' class.

See Also:
  - `TitleBlockImpl`
  - `LayoutPackageImpl.getTitleBlock()`
  - Constant Field Values

### TITLE_BLOCK__CHILDREN

static final int TITLE_BLOCK__CHILDREN
The feature id for the 'Children' containment reference list.

See Also:
  - Constant Field Values

### TITLE_BLOCK__BOUNDS

static final int TITLE_BLOCK__BOUNDS
The feature id for the 'Bounds' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__ANCHOR

static final int TITLE_BLOCK__ANCHOR
The feature id for the 'Anchor' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__STRETCH

static final int TITLE_BLOCK__STRETCH
The feature id for the 'Stretch' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__INSETS

static final int TITLE_BLOCK__INSETS
The feature id for the 'Insets' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__ROW

static final int TITLE_BLOCK__ROW
The feature id for the 'Row' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__COLUMN

static final int TITLE_BLOCK__COLUMN
The feature id for the 'Column' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__ROWSPAN

static final int TITLE_BLOCK__ROWSPAN
The feature id for the 'Rowspan' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__COLUMNSPAN

static final int TITLE_BLOCK__COLUMNSPAN
The feature id for the 'Columnspan' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__MIN_SIZE

static final int TITLE_BLOCK__MIN_SIZE
The feature id for the 'Min Size' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__OUTLINE

static final int TITLE_BLOCK__OUTLINE
The feature id for the 'Outline' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__BACKGROUND

static final int TITLE_BLOCK__BACKGROUND
The feature id for the 'Background' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__VISIBLE

static final int TITLE_BLOCK__VISIBLE
The feature id for the 'Visible' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__TRIGGERS

static final int TITLE_BLOCK__TRIGGERS
The feature id for the 'Triggers' containment reference list.

See Also:
  - Constant Field Values

### TITLE_BLOCK__WIDTH_HINT

static final int TITLE_BLOCK__WIDTH_HINT
The feature id for the 'Width Hint' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__HEIGHT_HINT

static final int TITLE_BLOCK__HEIGHT_HINT
The feature id for the 'Height Hint' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK__CURSOR

static final int TITLE_BLOCK__CURSOR
The feature id for the 'Cursor' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__LABEL

static final int TITLE_BLOCK__LABEL
The feature id for the 'Label' containment reference.

See Also:
  - Constant Field Values

### TITLE_BLOCK__AUTO

static final int TITLE_BLOCK__AUTO
The feature id for the 'Auto' attribute.

See Also:
  - Constant Field Values

### TITLE_BLOCK_FEATURE_COUNT

static final int TITLE_BLOCK_FEATURE_COUNT
The number of structural features of the 'Title Block' class.

See Also:
  - Constant Field Values

### ELLIPSIS_TYPE

static final int ELLIPSIS_TYPE
The meta object id for the 'Ellipsis Type' data type.

See Also:
  - `LayoutPackageImpl.getEllipsisType()`
  - Constant Field Values

### ELLIPSIS_TYPE_OBJECT

static final int ELLIPSIS_TYPE_OBJECT
The meta object id for the 'Ellipsis Type Object' data type.

See Also:
  - `Integer`
  - `LayoutPackageImpl.getEllipsisTypeObject()`
  - Constant Field Values

### TITLE_PERCENT_TYPE

static final int TITLE_PERCENT_TYPE
The meta object id for the 'Title Percent Type' data type.

See Also:
  - `LayoutPackageImpl.getTitlePercentType()`
  - Constant Field Values

### TITLE_PERCENT_TYPE_OBJECT

static final int TITLE_PERCENT_TYPE_OBJECT
The meta object id for the 'Title Percent Type Object' data type.

See Also:
  - `Double`
  - `LayoutPackageImpl.getTitlePercentTypeObject()`
  - Constant Field Values

## Method Details

### getBlock

org.eclipse.emf.ecore.EClass getBlock()
Returns the meta object for class ' `Block`'.

Returns:
  the meta object for class 'Block'.
See Also:
  - `Block`

### getBlock_Children

org.eclipse.emf.ecore.EReference getBlock_Children()
Returns the meta object for the containment reference list '`Children`'.

Returns:
  the meta object for the containment reference list 'Children'.
See Also:
  - `Block.getChildren()`
  - `getBlock()`

### getBlock_Bounds

org.eclipse.emf.ecore.EReference getBlock_Bounds()
Returns the meta object for the containment reference '`Bounds`'.

Returns:
  the meta object for the containment reference 'Bounds'.
See Also:
  - `Block.getBounds()`
  - `getBlock()`

### getBlock_Anchor

org.eclipse.emf.ecore.EAttribute getBlock_Anchor()
Returns the meta object for the attribute '`Anchor`'.

Returns:
  the meta object for the attribute 'Anchor'.
See Also:
  - `Block.getAnchor()`
  - `getBlock()`

### getBlock_Stretch

org.eclipse.emf.ecore.EAttribute getBlock_Stretch()
Returns the meta object for the attribute '`Stretch`'.

Returns:
  the meta object for the attribute 'Stretch'.
See Also:
  - `Block.getStretch()`
  - `getBlock()`

### getBlock_Insets

org.eclipse.emf.ecore.EReference getBlock_Insets()
Returns the meta object for the containment reference '`Insets`'.

Returns:
  the meta object for the containment reference 'Insets'.
See Also:
  - `Block.getInsets()`
  - `getBlock()`

### getBlock_Row

org.eclipse.emf.ecore.EAttribute getBlock_Row()
Returns the meta object for the attribute '`Row`'.

Returns:
  the meta object for the attribute 'Row'.
See Also:
  - `Block.getRow()`
  - `getBlock()`

### getBlock_Column

org.eclipse.emf.ecore.EAttribute getBlock_Column()
Returns the meta object for the attribute '`Column`'.

Returns:
  the meta object for the attribute 'Column'.
See Also:
  - `Block.getColumn()`
  - `getBlock()`

### getBlock_Rowspan

org.eclipse.emf.ecore.EAttribute getBlock_Rowspan()
Returns the meta object for the attribute '`Rowspan`'.

Returns:
  the meta object for the attribute 'Rowspan'.
See Also:
  - `Block.getRowspan()`
  - `getBlock()`

### getBlock_Columnspan

org.eclipse.emf.ecore.EAttribute getBlock_Columnspan()
Returns the meta object for the attribute '`Columnspan`'.

Returns:
  the meta object for the attribute 'Columnspan'.
See Also:
  - `Block.getColumnspan()`
  - `getBlock()`

### getBlock_MinSize

org.eclipse.emf.ecore.EReference getBlock_MinSize()
Returns the meta object for the containment reference '`Min Size`'.

Returns:
  the meta object for the containment reference 'Min Size'.
See Also:
  - `Block.getMinSize()`
  - `getBlock()`

### getBlock_Outline

org.eclipse.emf.ecore.EReference getBlock_Outline()
Returns the meta object for the containment reference '`Outline`'.

Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `Block.getOutline()`
  - `getBlock()`

### getBlock_Background

org.eclipse.emf.ecore.EReference getBlock_Background()
Returns the meta object for the containment reference '`Background`'.

Returns:
  the meta object for the containment reference 'Background'.
See Also:
  - `Block.getBackground()`
  - `getBlock()`

### getBlock_Visible

org.eclipse.emf.ecore.EAttribute getBlock_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Block.isVisible()`
  - `getBlock()`

### getBlock_Triggers

org.eclipse.emf.ecore.EReference getBlock_Triggers()
Returns the meta object for the containment reference list '`Triggers`'.

Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `Block.getTriggers()`
  - `getBlock()`

### getBlock_WidthHint

org.eclipse.emf.ecore.EAttribute getBlock_WidthHint()
Returns the meta object for the attribute '`Width Hint`'.

Returns:
  the meta object for the attribute 'Width Hint'.
See Also:
  - `Block.getWidthHint()`
  - `getBlock()`

### getBlock_HeightHint

org.eclipse.emf.ecore.EAttribute getBlock_HeightHint()
Returns the meta object for the attribute '`Height Hint`'.

Returns:
  the meta object for the attribute 'Height Hint'.
See Also:
  - `Block.getHeightHint()`
  - `getBlock()`

### getBlock_Cursor

org.eclipse.emf.ecore.EReference getBlock_Cursor()
Returns the meta object for the containment reference '`Cursor`'.

Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `Block.getCursor()`
  - `getBlock()`

### getClientArea

org.eclipse.emf.ecore.EClass getClientArea()
Returns the meta object for class '`Client Area`'.

Returns:
  the meta object for class 'Client Area'.
See Also:
  - `ClientArea`

### getClientArea_Background

org.eclipse.emf.ecore.EReference getClientArea_Background()
Returns the meta object for the containment reference '`Background`'.

Returns:
  the meta object for the containment reference 'Background'.
See Also:
  - `ClientArea.getBackground()`
  - `getClientArea()`

### getClientArea_Outline

org.eclipse.emf.ecore.EReference getClientArea_Outline()
Returns the meta object for the containment reference '`Outline`'.

Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `ClientArea.getOutline()`
  - `getClientArea()`

### getClientArea_ShadowColor

org.eclipse.emf.ecore.EReference getClientArea_ShadowColor()
Returns the meta object for the containment reference '`Shadow Color`'.

Returns:
  the meta object for the containment reference 'Shadow Color'.
See Also:
  - `ClientArea.getShadowColor()`
  - `getClientArea()`

### getClientArea_Insets

org.eclipse.emf.ecore.EReference getClientArea_Insets()
Returns the meta object for the containment reference '`Insets`'.

Returns:
  the meta object for the containment reference 'Insets'.
See Also:
  - `ClientArea.getInsets()`
  - `getClientArea()`

### getClientArea_Visible

org.eclipse.emf.ecore.EAttribute getClientArea_Visible()
Returns the meta object for the attribute '`Visible`'.

Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `ClientArea.isVisible()`
  - `getClientArea()`

### getLabelBlock

org.eclipse.emf.ecore.EClass getLabelBlock()
Returns the meta object for class '`Label Block`'.

Returns:
  the meta object for class 'Label Block'.
See Also:
  - `LabelBlock`

### getLabelBlock_Label

org.eclipse.emf.ecore.EReference getLabelBlock_Label()
Returns the meta object for the containment reference '`Label`'.

Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `LabelBlock.getLabel()`
  - `getLabelBlock()`

### getLegend

org.eclipse.emf.ecore.EClass getLegend()
Returns the meta object for class '`Legend`'.

Returns:
  the meta object for class 'Legend'.
See Also:
  - `Legend`

### getLegend_HorizontalSpacing

org.eclipse.emf.ecore.EAttribute getLegend_HorizontalSpacing()
Returns the meta object for the attribute '`Horizontal Spacing`'.

Returns:
  the meta object for the attribute 'Horizontal Spacing'.
See Also:
  - `Legend.getHorizontalSpacing()`
  - `getLegend()`

### getLegend_VerticalSpacing

org.eclipse.emf.ecore.EAttribute getLegend_VerticalSpacing()
Returns the meta object for the attribute '`Vertical Spacing`'.

Returns:
  the meta object for the attribute 'Vertical Spacing'.
See Also:
  - `Legend.getVerticalSpacing()`
  - `getLegend()`

### getLegend_ClientArea

org.eclipse.emf.ecore.EReference getLegend_ClientArea()
Returns the meta object for the containment reference '`Client Area`'.

Returns:
  the meta object for the containment reference 'Client Area'.
See Also:
  - `Legend.getClientArea()`
  - `getLegend()`

### getLegend_Text

org.eclipse.emf.ecore.EReference getLegend_Text()
Returns the meta object for the containment reference '`Text`'.

Returns:
  the meta object for the containment reference 'Text'.
See Also:
  - `Legend.getText()`
  - `getLegend()`

### getLegend_Orientation

org.eclipse.emf.ecore.EAttribute getLegend_Orientation()
Returns the meta object for the attribute '`Orientation`'.

Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  - `Legend.getOrientation()`
  - `getLegend()`

### getLegend_Direction

org.eclipse.emf.ecore.EAttribute getLegend_Direction()
Returns the meta object for the attribute '`Direction`'.

Returns:
  the meta object for the attribute 'Direction'.
See Also:
  - `Legend.getDirection()`
  - `getLegend()`

### getLegend_Separator

org.eclipse.emf.ecore.EReference getLegend_Separator()
Returns the meta object for the containment reference '`Separator`'.

Returns:
  the meta object for the containment reference 'Separator'.
See Also:
  - `Legend.getSeparator()`
  - `getLegend()`

### getLegend_Position

org.eclipse.emf.ecore.EAttribute getLegend_Position()
Returns the meta object for the attribute '`Position`'.

Returns:
  the meta object for the attribute 'Position'.
See Also:
  - `Legend.getPosition()`
  - `getLegend()`

### getLegend_ItemType

org.eclipse.emf.ecore.EAttribute getLegend_ItemType()
Returns the meta object for the attribute '`Item Type`'.

Returns:
  the meta object for the attribute 'Item Type'.
See Also:
  - `Legend.getItemType()`
  - `getLegend()`

### getLegend_Title

org.eclipse.emf.ecore.EReference getLegend_Title()
Returns the meta object for the containment reference '`Title`'.

Returns:
  the meta object for the containment reference 'Title'.
See Also:
  - `Legend.getTitle()`
  - `getLegend()`

### getLegend_TitlePosition

org.eclipse.emf.ecore.EAttribute getLegend_TitlePosition()
Returns the meta object for the attribute '`Title Position`'.

Returns:
  the meta object for the attribute 'Title Position'.
See Also:
  - `Legend.getTitlePosition()`
  - `getLegend()`

### getLegend_ShowValue

org.eclipse.emf.ecore.EAttribute getLegend_ShowValue()
Returns the meta object for the attribute '`Show Value`'.

Returns:
  the meta object for the attribute 'Show Value'.
See Also:
  - `Legend.isShowValue()`
  - `getLegend()`

### getLegend_ShowPercent

org.eclipse.emf.ecore.EAttribute getLegend_ShowPercent()
Returns the meta object for the attribute '`Show Percent`'.

Returns:
  the meta object for the attribute 'Show Percent'.
See Also:
  - `Legend.isShowPercent()`
  - `getLegend()`

### getLegend_ShowTotal

org.eclipse.emf.ecore.EAttribute getLegend_ShowTotal()
Returns the meta object for the attribute '`Show Total`'.

Returns:
  the meta object for the attribute 'Show Total'.
See Also:
  - `Legend.isShowTotal()`
  - `getLegend()`

### getLegend_WrappingSize

org.eclipse.emf.ecore.EAttribute getLegend_WrappingSize()
Returns the meta object for the attribute '`Wrapping Size`'.

Returns:
  the meta object for the attribute 'Wrapping Size'.
See Also:
  - `Legend.getWrappingSize()`
  - `getLegend()`

### getLegend_MaxPercent

org.eclipse.emf.ecore.EAttribute getLegend_MaxPercent()
Returns the meta object for the attribute '`Max Percent`'.

Returns:
  the meta object for the attribute 'Max Percent'.
See Also:
  - `Legend.getMaxPercent()`
  - `getLegend()`

### getLegend_TitlePercent

org.eclipse.emf.ecore.EAttribute getLegend_TitlePercent()
Returns the meta object for the attribute '`Title Percent`'.

Returns:
  the meta object for the attribute 'Title Percent'.
See Also:
  - `Legend.getTitlePercent()`
  - `getLegend()`

### getLegend_Ellipsis

org.eclipse.emf.ecore.EAttribute getLegend_Ellipsis()
Returns the meta object for the attribute '`Ellipsis`'.

Returns:
  the meta object for the attribute 'Ellipsis'.
See Also:
  - `Legend.getEllipsis()`
  - `getLegend()`

### getLegend_FormatSpecifier

org.eclipse.emf.ecore.EReference getLegend_FormatSpecifier()
Returns the meta object for the containment reference '`Format Specifier`'.

Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `Legend.getFormatSpecifier()`
  - `getLegend()`

### getPlot

org.eclipse.emf.ecore.EClass getPlot()
Returns the meta object for class ' `Plot`'.

Returns:
  the meta object for class 'Plot'.
See Also:
  - `Plot`

### getPlot_HorizontalSpacing

org.eclipse.emf.ecore.EAttribute getPlot_HorizontalSpacing()
Returns the meta object for the attribute '`Horizontal Spacing`'.

Returns:
  the meta object for the attribute 'Horizontal Spacing'.
See Also:
  - `Plot.getHorizontalSpacing()`
  - `getPlot()`

### getPlot_VerticalSpacing

org.eclipse.emf.ecore.EAttribute getPlot_VerticalSpacing()
Returns the meta object for the attribute '`Vertical Spacing`'.

Returns:
  the meta object for the attribute 'Vertical Spacing'.
See Also:
  - `Plot.getVerticalSpacing()`
  - `getPlot()`

### getPlot_ClientArea

org.eclipse.emf.ecore.EReference getPlot_ClientArea()
Returns the meta object for the containment reference '`Client Area`'.

Returns:
  the meta object for the containment reference 'Client Area'.
See Also:
  - `Plot.getClientArea()`
  - `getPlot()`

### getTitleBlock

org.eclipse.emf.ecore.EClass getTitleBlock()
Returns the meta object for class '`Title Block`'.

Returns:
  the meta object for class 'Title Block'.
See Also:
  - `TitleBlock`

### getTitleBlock_Auto

org.eclipse.emf.ecore.EAttribute getTitleBlock_Auto()
Returns the meta object for the attribute '`Auto`'.

Returns:
  the meta object for the attribute 'Auto'.
See Also:
  - `TitleBlock.isAuto()`
  - `getTitleBlock()`

### getEllipsisType

org.eclipse.emf.ecore.EDataType getEllipsisType()
Returns the meta object for data type 'Ellipsis Type'.

Returns:
  the meta object for data type 'Ellipsis Type'.

### getEllipsisTypeObject

org.eclipse.emf.ecore.EDataType getEllipsisTypeObject()
Returns the meta object for data type '`Ellipsis Type Object`'.

Returns:
  the meta object for data type 'Ellipsis Type Object'.
See Also:
  - `Integer`

### getTitlePercentType

org.eclipse.emf.ecore.EDataType getTitlePercentType()
Returns the meta object for data type 'Title Percent Type'.

Returns:
  the meta object for data type 'Title Percent Type'.

### getTitlePercentTypeObject

org.eclipse.emf.ecore.EDataType getTitlePercentTypeObject()
Returns the meta object for data type '`Title Percent Type Object`'.

Returns:
  the meta object for data type 'Title Percent Type Object'.
See Also:
  - `Double`

### getLayoutFactory

LayoutFactory getLayoutFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.